Name:           osmo-upf
Version:        0.3.0
Release:        1.dcbw%{?dist}
Summary:        Osmocom 3GPP 3G User Plane Function
License:        AGPL-3.0-or-later

URL:            https://osmocom.org/projects/osmo-upf/wiki

BuildRequires:  git gcc autoconf automake libtool doxygen systemd-devel
BuildRequires:  nftables-devel
BuildRequires:  libosmocore-devel >= 1.10.0
BuildRequires:  libgtpnl-devel >= 1.3.0
BuildRequires:  libosmo-pfcp-devel >= 0.5.0

Source0: %{name}-%{version}.tar.bz2

Requires: osmo-usergroup

%description
Osmocom User Plane Function; manages a GTP user plane controlled via 3GPP PFCP
(Packet Forwarding Control Protocol).

%prep
%autosetup -p1


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
echo "%{version}" >.tarball-version
autoreconf -fiv
%configure --enable-shared \
           --disable-static \
           --with-systemdsystemunitdir=%{_unitdir}

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;


%check
make check

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%post
%systemd_post %{name}.service

%files
%doc README.md
%doc %{_docdir}/%{name}
%license COPYING
%{_bindir}/*
%{_unitdir}/%{name}.service
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/osmocom/%{name}.cfg


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 0.3.0
- Update to 0.3.0
